org.mariadb.jdbc.internal.common.packet

## Class SyncPacketFetcher

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.SyncPacketFetcher

All Implemented Interfaces:
  PacketFetcher

    public class SyncPacketFetcher
    extends Object
    implements PacketFetcher

### Constructor Summary

Constructors
Constructor and Description
`SyncPacketFetcher(InputStream is)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearInputStream()`
`void` `close()`
`RawPacket` `getRawPacket()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyncPacketFetcher

    public SyncPacketFetcher(InputStream is)

### Method Detail

#### getRawPacket

    public RawPacket getRawPacket()
                           throws IOException

Specified by:
  `getRawPacket` in interface `PacketFetcher`
Throws:
  `IOException`

#### clearInputStream

    public void clearInputStream()
                          throws IOException

Specified by:
  `clearInputStream` in interface `PacketFetcher`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `PacketFetcher`
Throws:
  `IOException`